
package cdpp_irap.impex.v0;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WorkSpaceValue.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="WorkSpaceValue">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="TimeTables"/>
 *     &lt;enumeration value="UserDefinedParameters"/>
 *     &lt;enumeration value="LocalDataBaseParameters"/>
 *     &lt;enumeration value="RemoteDataBaseParameters"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "WorkSpaceValue")
@XmlEnum
public enum WorkSpaceValue {

    @XmlEnumValue("TimeTables")
    TIME_TABLES("TimeTables"),
    @XmlEnumValue("UserDefinedParameters")
    USER_DEFINED_PARAMETERS("UserDefinedParameters"),
    @XmlEnumValue("LocalDataBaseParameters")
    LOCAL_DATA_BASE_PARAMETERS("LocalDataBaseParameters"),
    @XmlEnumValue("RemoteDataBaseParameters")
    REMOTE_DATA_BASE_PARAMETERS("RemoteDataBaseParameters");
    private final String value;

    WorkSpaceValue(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static WorkSpaceValue fromValue(String v) {
        for (WorkSpaceValue c: WorkSpaceValue.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
